package librerias;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class MiBaseDatos extends SQLiteOpenHelper {
    private static final String TABLA_Usuarios =
            "CREATE TABLE "+Parametros.tabla_usuarios+" ("+Parametros.campo_usuario+" TEXT PRIMARY KEY, "+
                    Parametros.campo_password+" TEXT, "+Parametros.campo_tipo+" TEXT, "+
                    Parametros.campo_nombre_usuario+" TEXT, "+Parametros.campo_apellido_usuario+" TEXT)";
    private static final String TABLA_Servidor =
            "CREATE TABLE "+Parametros.tabla_servidor+" ("+Parametros.campo_nombreServidor+" TEXT PRIMARY KEY)";
    private static final String TABLA_Conexion =
            "CREATE TABLE "+Parametros.tabla_conexion+" ("+Parametros.campo_nombreConexion+" TEXT PRIMARY KEY)";
    private static final String TABLA_Datos =
            "CREATE TABLE "+Parametros.tabla_datos+" ("+Parametros.campo_idDatos+" INTEGER PRIMARY KEY AUTOINCREMENT, "
                    +Parametros.campo_nombre+" TEXT, "
                    +Parametros.campo_apellido+" TEXT, "
                    +Parametros.campo_telefono+" TEXT )";
    private static final String SQL_DELETE_USUARIOS =
            "DROP TABLE IF EXISTS "+Parametros.tabla_usuarios;
    private static final String SQL_DELETE_SERVIDOR =
            "DROP TABLE IF EXISTS "+Parametros.tabla_servidor;
    private static final String SQL_DELETE_CONEXION =
            "DROP TABLE IF EXISTS "+Parametros.tabla_servidor;
    private static final String SQL_DELETE_DATOS =
            "DROP TABLE IF EXISTS "+Parametros.tabla_datos;
    private static final String insertarUsuarioAdmin="insert into "+Parametros.tabla_usuarios+
            " values('Admin','123','Admin','Administrador','Administrador')";
    private static final String insertarUsuarioLimitado="insert into "+Parametros.tabla_usuarios+
            " values('Limitado','123','Limitado','Usuario','Limitado')";
    private static final String insertarServidor="insert into "+Parametros.tabla_servidor+" values('profeluismitre.com')";
    private static final String insertarConexion="insert into "+Parametros.tabla_conexion+" values('Local')";

    public MiBaseDatos(Context context) {
        super(context, "Agendita", null, 1);
    }
    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(TABLA_Usuarios);
        db.execSQL(TABLA_Datos);
        db.execSQL((TABLA_Servidor));
        db.execSQL(TABLA_Conexion);
        db.execSQL(insertarUsuarioAdmin);
        db.execSQL(insertarUsuarioLimitado);
        db.execSQL(insertarServidor);
        db.execSQL(insertarConexion);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL(SQL_DELETE_DATOS);
        db.execSQL(SQL_DELETE_USUARIOS);
        db.execSQL(SQL_DELETE_CONEXION);
        db.execSQL(SQL_DELETE_SERVIDOR);
        onCreate(db);

    }
}
